---
lang: en
title: 'API docs: rest.node'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.rest.node.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [Node](./rest.node.md)

## Node interface

A Node in the trie

<b>Signature:</b>

```typescript
export interface Node<T> 
```

## Properties

|  Property | Type | Description |
|  --- | --- | --- |
|  [children](./rest.node.children.md) | <code>{</code><br/><code>        [key: string]: Node&lt;T&gt;;</code><br/><code>    }</code> | Children of the node |
|  [key](./rest.node.key.md) | <code>string</code> | Key of the node |
|  [names](./rest.node.names.md) | <code>string[]</code> | Names of the node if it contains named parameters |
|  [regexp](./rest.node.regexp.md) | <code>RegExp</code> | Regular expression for the template |
|  [value](./rest.node.value.md) | <code>T</code> | Value of the node |


